Loading...
Searching...
No Matches
Name of Subversion's admin dir
Working copy management

## Macros

#define | SVN_WC_ADM_DIR_NAME ".svn"
| The default name of the administrative subdirectory.

## Functions

svn_boolean_t | svn_wc_is_adm_dir (const char *name, apr_pool_t *pool)
| Return `TRUE` if name is the name of the WC administrative directory.
const char * | svn_wc_get_adm_dir (apr_pool_t *pool)
| Return the name of the administrative directory.
svn_error_t * | svn_wc_set_adm_dir (const char *name, apr_pool_t *pool)
| Use name for the administrative directory in the working copy.

## Detailed Description

## Macro Definition Documentation

## SVN_WC_ADM_DIR_NAME

#define SVN_WC_ADM_DIR_NAME ".svn"

The default name of the administrative subdirectory.

Ideally, this would be completely private to wc internals (in fact, it used to be that adm_subdir() in adm_files.c was the only function who knew the adm subdir's name). However, import wants to protect against importing administrative subdirs, so now the name is a matter of public record.

Deprecated
  Provided for backward compatibility with the 1.2 API.

Definition at line 624 of file svn_wc.h.

## Function Documentation

## svn_wc_get_adm_dir()

const char * svn_wc_get_adm_dir | ( | apr_pool_t * | pool | ) |

Return the name of the administrative directory.

Use pool for any temporary allocations.

The returned pointer will refer to either a statically allocated string, or to a string allocated in pool.

Since
  New in 1.3.

## svn_wc_is_adm_dir()

svn_boolean_t svn_wc_is_adm_dir | ( | const char * | name,
|  | apr_pool_t * | pool )

Return `TRUE` if name is the name of the WC administrative directory.

Use pool for any temporary allocations. Only works with base directory names, not paths or URIs.

For compatibility, the default name (.svn) will always be treated as an admin dir name, even if the working copy is actually using an alternative name.

Since
  New in 1.3.

## svn_wc_set_adm_dir()

svn_error_t * svn_wc_set_adm_dir | ( | const char * | name,
|  | apr_pool_t * | pool )

Use name for the administrative directory in the working copy.

Use pool for any temporary allocations.

The list of valid names is limited. Currently only ".svn" (the default) and "_svn" are allowed.

Note
  This function changes global (per-process) state and must be called in a single-threaded context during the initialization of a Subversion client.

Since
  New in 1.3.